Bug 1247047 - FTBFS: gprbuild: "xmlada.gpr" processing failed
Summary: FTBFS: gprbuild: "xmlada.gpr" processing failed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xmlada
Version: 23
Hardware: ppc64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1152496
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-07-27 08:38 UTC by Karsten Hopp
Modified: 2016-12-11 20:05 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-11 20:05:34 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2015-07-27 08:38:25 UTC
Description of problem:
xmlada-2015-6.fc23 fails to build on ppc64, which is in %{GNAT_arches}:


gprbuild -j0 -m -p -XLIBRARY_TYPE=relocatable -cargs -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -gnatn -gnat-p -gnatVd -gnatwn -gnatyN -largs -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -g -margs -j16 -R -p -XHARDWARE_PLATFORM=ppc64 xmlada.gpr
xmlada_schema.gpr:29:09: no languages defined for this project
xmlada_schema.gpr:31:25: warning: libraries are not supported on this platform
xmlada_sax.gpr:28:09: no languages defined for this project
xmlada_sax.gpr:30:25: warning: libraries are not supported on this platform
xmlada_unicode.gpr:26:09: no languages defined for this project
xmlada_unicode.gpr:28:25: warning: libraries are not supported on this platform
xmlada_input.gpr:27:09: no languages defined for this project
xmlada_input.gpr:29:25: warning: libraries are not supported on this platform
xmlada_dom.gpr:28:09: no languages defined for this project
xmlada_dom.gpr:30:25: warning: libraries are not supported on this platform
xmlada_dom.gpr:28:09: no languages defined for this project
xmlada_dom.gpr:30:25: warning: libraries are not supported on this platform
xmlada_sax.gpr:28:09: no languages defined for this project
xmlada_sax.gpr:30:25: warning: libraries are not supported on this platform
xmlada_unicode.gpr:26:09: no languages defined for this project
xmlada_unicode.gpr:28:25: warning: libraries are not supported on this platform
xmlada_input.gpr:27:09: no languages defined for this project
xmlada_input.gpr:29:25: warning: libraries are not supported on this platform
xmlada_sax.gpr:28:09: no languages defined for this project
xmlada_sax.gpr:30:25: warning: libraries are not supported on this platform
xmlada_unicode.gpr:26:09: no languages defined for this project
xmlada_unicode.gpr:28:25: warning: libraries are not supported on this platform
xmlada_input.gpr:27:09: no languages defined for this project
xmlada_input.gpr:29:25: warning: libraries are not supported on this platform
xmlada_unicode.gpr:26:09: no languages defined for this project
xmlada_unicode.gpr:28:25: warning: libraries are not supported on this platform
xmlada_input.gpr:27:09: no languages defined for this project
xmlada_input.gpr:29:25: warning: libraries are not supported on this platform
xmlada_unicode.gpr:26:09: no languages defined for this project
xmlada_unicode.gpr:28:25: warning: libraries are not supported on this platform
gprbuild: "xmlada.gpr" processing failed
Makefile:49: recipe for target 'relocatable' failed


Version-Release number of selected component (if applicable):
xmlada-2015-6.fc23

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f23 xmlada-2015-6.fc23.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2660776

Comment 1 Fedora End Of Life 2016-11-24 12:14:57 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Björn Persson 2016-12-11 20:05:34 UTC
I added patterns for GPRconfig to recognize the secondary architectures back in April, and to the best of my knowledge GPRbuild works on all of Fedora's active architectures in F25 and Rawhide.


Note You need to log in before you can comment on or make changes to this bug.